#include "global.h"

void V_function(Theta* theta,Xplic* xplic,double** V)
{
  /* Option home */
  V[0][0] = theta->bh0 - theta->padl*xplic->pMARRY + theta->bn0*xplic->pADL ;
  V[1][0] = V[2][0] = V[0][0] - theta->bh0;

  /* option Nursing */
  V[0][1] = V[1][1] = V[2][1] = 0.0;

  /* Option child 1 */
  V[0][2] = theta->alpha + theta->csex*xplic->c1SEX;
  V[1][2] = theta->cbeta + theta->cdist*xplic->c1DIST + theta->padl*xplic->pADL;
  V[2][2] = 0.0;

  /* Option child 2 */
  V[0][3] = theta->csex*xplic->c2SEX;
  V[1][3] = 0.0;
  V[2][3] = theta->cbeta + theta->cdist*xplic->c2DIST + theta->padl*xplic->pADL;
}

