function [A_data]=treat_data()

load 'c:\elder_result_dis2.csv'
Tabl = elder_result_dis2;
%Tabl (91,2) = 1;
n.obs=length(Tabl(:,1));
n.dim=length(Tabl(1,:));
xplic.co        =Tabl(:,2);

xplic.i         =Tabl(:,1);
xplic.adl       =Tabl(:,3);
xplic.p_married =Tabl(:,4);

xplic.sex1      =max(0,Tabl(:,5)-1);
xplic.child1    =Tabl(:,6);
xplic.marry1    =Tabl(:,7);
xplic.dist1     =Tabl(:,8);

xplic.sex2      =max(0,Tabl(:,9)-1);
xplic.child2    =Tabl(:,10);
xplic.marry2    =Tabl(:,11);
xplic.dist2     =Tabl(:,12);

xplic.nb_child  =Tabl(:,n.dim);

war_flag=[];
m=1;
indic=zeros(n.obs,1);
xplic.index=(1:1:n.obs)';
stop_code =zeros(n.obs,1); 

for inc=1:n.obs
    
    %for general model
        %stop_code(inc)=sum(isnan(Tabl(inc,:)));
    
    %Excluding the obs where parents live wit children
        stop_dist = sum(Tabl(inc,[8 12]) == 0);

    %for reduced model
        stop_code(inc)=sum(isnan(Tabl(inc,[2 3 4 5 8 9 12]))) + stop_dist;
        
    % adl indicator
    xplic.adl_ind (inc)=0;
    xplic.adl_1 (inc)=0;
    xplic.adl_2 (inc)=0;
    
    if xplic.adl(inc)> 0
        xplic.adl_ind(inc)= 1;
        
        if xplic.adl(inc)>=1 && xplic.adl(inc)<4%xplic.adl(inc)<4
        xplic.adl_1(inc)=1;
        
        elseif xplic.adl(inc)>=4
            xplic.adl_2(inc)= 1;
        end
        
    end
      
    
    %Distance indicators
    
    %Child 1
    xplic.dist_alt1_1(inc,1)=0;
    xplic.dist_alt1_2(inc,1)=0;
    
    if xplic.dist1(inc) <=2 && xplic.dist1(inc) >0
        xplic.dist_alt1_1(inc,1)=1;
        xplic.dist_alt1_2(inc,1)=0;
    elseif xplic.dist1(inc)>2 
        xplic.dist_alt1_1(inc,1)=0;
        xplic.dist_alt1_2(inc,1)=1;
    end
    
    xplic.dist_alt2_1(inc,1)=0;
    xplic.dist_alt2_2(inc,1)=0;
    
    if xplic.dist2(inc) <=2 && xplic.dist2(inc) >0
        xplic.dist_alt2_1(inc,1)=1;
        xplic.dist_alt2_2(inc,1)=0;
    elseif xplic.dist2(inc)>2 
        xplic.dist_alt2_1(inc,1)=0;
        xplic.dist_alt2_2(inc,1)=1;
    end

    if xplic.child1(inc) <1
        xplic.child_alt1(inc,1)=0;
    elseif xplic.child1(inc)>=1
        xplic.child_alt1(inc,1)=1;
    end
        
    if xplic.child2(inc) <1
        xplic.child_alt2(inc,1)=0;
    elseif xplic.child2(inc)>=1
        xplic.child_alt2(inc,1)=1;
    end
end

% % Deleting unwanted rows. those which have an option care of 5.
% xplic.indic=indic;
% AB=horzcat(xplic.index,xplic.co,xplic.adl,xplic.dist1,xplic.dist2,xplic.indic);
% A=AB((((AB(:,2)~=5) & (AB(:,4)~=0)) & (AB(:,5)~=0)) ,2:6 );


length (xplic.co)

% % Alternative matrix with distance recoded
% AB_alt = horzcat(xplic.co,xplic.adl_ind',xplic.p_married,xplic.sex1, xplic.child_alt1, xplic.marry1,xplic.dist_alt1_1, xplic.dist_alt1_2,xplic.sex2, xplic.child_alt2, xplic.marry2,xplic.dist_alt2_1, xplic.dist_alt2_2,xplic.nb_child);
% A_data = AB_alt((AB_alt(:,1)~=5),:);
% 
% %A_alt=A_alt([1:233 235:length(A_alt(:,1))],:);
% % for inc=1:length(index_a)
% %     A(inc,:)=AB(index_a(inc,1),2:6);
% % end
% 
% 
% % savefile='A.mat';
% % save(savefile,'A')
% 
% savefile='A_data.mat';
% save(savefile,'A_data')
% 
% % Recoding with 3 options
% a = A_data(:,1)==2;
% A_data(a) = 1;
% 
% a = A_data(:,1)==3;
% A_data(a) = 2;
% 
% a = A_data(:,1)==4;
% A_data(a) = 3;
% 
% savefile='A_data3.mat';
% save(savefile,'A_data')
% 
% % Alternative matrix with degree of disability
% AB_alt = horzcat(xplic.co,xplic.adl_2',xplic.p_married,xplic.sex1, xplic.child_alt1, xplic.marry1,xplic.dist_alt1_1, xplic.dist_alt1_2,xplic.sex2, xplic.child_alt2, xplic.marry2,xplic.dist_alt2_1, xplic.dist_alt2_2,xplic.adl_1',xplic.nb_child);
% A_data = AB_alt((AB_alt(:,1)~=5),:);
% 
% savefile='A_data_dis.mat';
% save(savefile,'A_data')

% Alternative matrix with degree of disability
AB_alt = horzcat(xplic.co,xplic.adl_2',xplic.p_married,xplic.sex1, xplic.child_alt1, xplic.marry1,xplic.dist_alt1_1, xplic.dist_alt1_2,xplic.sex2, xplic.child_alt2, xplic.marry2,xplic.dist_alt2_1, xplic.dist_alt2_2,xplic.adl_1',xplic.sex1,xplic.nb_child);
AB_alt = AB_alt(stop_code == 0,:);
A_data = AB_alt((AB_alt(:,1)~= 5),:);
A_data(91,1) = 1;
%A_data=AB_alt;

savefile='A_data_red.mat';
save(savefile,'A_data')
