function PHAT_barx=dec_PHAT_sim_x(PHAT,G_n,W_b,alpha,x_eq,lgrid)

B = length(G_n(1,1,:));
B_flat = ceil(alpha*B);
dim    = length(PHAT(1,:));
n = length(PHAT(:,1));
G_n_garde = zeros(n,dim,B_flat);
beta_m    = zeros(size(PHAT));

%% Discarding the alpha*B higest values

%keep the alpha*B greater z
[keeper_m,IX]=sort(W_b,'ascend');
keeper_m=[keeper_m IX];
keeper_m=sortrows(keeper_m,[1 2]);
keeper_alpha_m=keeper_m(1:B_flat,:);

for inc=1:B_flat
    G_n_garde(:,:,inc)=G_n(:,:,keeper_alpha_m(inc,2));
end

for i=1:n
    for j=1:dim
        beta_m(i,j)= max(G_n_garde(i,j,:));
        if beta_m(i,j<0)
            beta_m(i,j)
        end
    end
end

PHAT_bar= max(zeros(size(PHAT)),PHAT-abs(beta_m));


% Transform the vector to show only the relevant inequalities
PHAT_barx = zeros(lgrid,length(PHAT(1,:)));
for giter = 1:lgrid
    PHAT_barx(giter,:) = PHAT_bar(x_eq(giter).Index(1),:);
end



