function PHAT=n_param_mean(Y,x_eq_b,x_eq,nb)

% This routine computes the non parametric mean with given weights.


%% For each value possible of X, take the mean of each options

PHAT = zeros(length(Y(:,1)),nb.option);

for giter=1:nb.lgrid
    
    % Counting the exact match
    if isempty(x_eq_b)~=1
        Y_eq = Y(x_eq_b(giter).Index);
        k = length(Y_eq);
    end
    
    for i=1:nb.option
        if isempty(Y_eq(Y_eq==i))~=1
            PHAT(x_eq(giter).Index,i)=length(Y_eq(Y_eq==i))/k;
        end
    end
end

% Transform in conditional probabilities
PHAT=PHAT./repmat(sum(PHAT,2),1,length(PHAT(1,:)));
