function [x_eq,gridass]=x_equal(X,xgrid)

%% Initialisation

nb.r_x  = length(X(:,1));
nb.dim_x= length(X(1,:));
prim_index = (1:1:nb.r_x)'; % Primitive index
 
l_grid = length(xgrid(:,1)); % grid contains all the pssible combination of Xplicatives
x_eq   = struct([]); % prim is a structure that keep the indices of different values of X

%% Defining the same vectors and the neighbors
gridass=zeros(nb.r_x,1);

ct_non_empty=0;
for giter=1:l_grid
    x_verif = xgrid(giter,:); % The vector for which we want to know the other occurences
    x_verif = x_verif(ones(nb.r_x,1),:); % Transform the vector in a matrix of the same size as X
    
    % Finding the same vectors in the matrix
    index_temp = sum (X==x_verif,2) == nb.dim_x; % Verify the equality of X and x_verif. We keep indexes of lines 
    Index = prim_index(index_temp==1,:); % 
    
    if isempty(Index)~=1
        x_eq(giter).Index =Index;
        %ct_non_empty=ct_non_empty+1;
        gridass(x_eq(giter).Index)= giter;% ct_non_empty;
    elseif giter==l_grid
        x_eq(giter).Index =[];
    end  
    
end


